unit uMyApp;

interface
uses
  uScene;

type
  TMyApp = class(tSceneMng)
    MainMenu,
    MenuHow,
    MenuI,
    Game : TScene;
    constructor Create;
    procedure   Exit;
  end;

implementation
uses
  uGame, uMainMenu, uMenuI;

{ TMyApp }

constructor TMyApp.Create;
begin
  Game := TGame.Create(Self);
  
  MainMenu := TMainMenu.Create(Self);

  MenuI := TMenuI.Create(Self);
  MenuHow := TMenuHow.Create(Self);


  //(Game as TGame).SetParam(1);
  //Game.SetAsScene;
  MainMenu.SetAsScene;
end;

procedure TMyApp.Exit;
begin
  Game.Free;
end;



end.
